## Controller Python Script "notification_subscribe"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=subscribe_to_parent=False
##title=Subscribe the user to an item

from Products.CMFCore.utils import getToolByName

from Products.CMFPlone import MessageFactory


mf = MessageFactory('cmfnotification')

item = context
if subscribe_to_parent:
    item = context.aq_parent
    msg = mf(u'success_subscribed_parent',
             u'You have been subscribed to the parent folder of this item.')
else:
    msg = mf(u'success_subscribed',
             u'You have been subscribed to this item.')

ntool = getToolByName(context, 'portal_notification')
ntool.subscribeTo(item)

context.plone_utils.addPortalMessage(msg)
return state
